commit:     065552ce0a892cbdb77163fcefbfbd231b588b5b
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  6 13:57:26 2026 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Feb  6 13:57:26 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=065552ce

app-admin/exo: add 1.92.0

Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-admin/exo/Manifest          |  1 +
 app-admin/exo/exo-1.92.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/app-admin/exo/Manifest b/app-admin/exo/Manifest
index 41d7f21fb935..bde1936d8438 100644
--- a/app-admin/exo/Manifest
+++ b/app-admin/exo/Manifest
@@ -1 +1,2 @@
 DIST exo-1.90.1.gh.tar.gz 6548392 BLAKE2B 
89f3a8c01e91c6609eaebb53ad3cd7662ed8572ba660d61ab02066a7ca79ef130366ed1d13d02a2bb266addbe4b7f705b04fd02107ba653b0bc14d9479c5e7ed
 SHA512 
879cae480f53c521c4bf2f4dafe50e94dbc155911e366cc34fc8d1bcea2a6cd4f791e320393eb3c35027cea5205fc9bca3dc463012c5d08d92891dcacebe03ae
+DIST exo-1.92.0.gh.tar.gz 6554701 BLAKE2B 
88b2abb611a2222e2ff4620ffac9a0f791034cb3a4a67e8991f63b2e7c87ec21b44461d2bec4c87bacef7695a5e05fd851d14d02be453ce37e83fb2d5db7b5a8
 SHA512 
7cf59a7783a76f8e2efc070bca27dbdff966bc062fe3e7e527b8c2a74e51a48abfdc63279f539b5ea5a830d3d5cc1cac0cb43c2e6f3790faa99e286bd896e400

diff --git a/app-admin/exo/exo-1.92.0.ebuild b/app-admin/exo/exo-1.92.0.ebuild
new file mode 100644
index 000000000000..438d6c8fe2a2
--- /dev/null
+++ b/app-admin/exo/exo-1.92.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Command-line tool for everything at Exoscale: compute, storage, 
dns"
+HOMEPAGE="https://github.com/exoscale/cli";
+SRC_URI="https://github.com/exoscale/cli/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+S="${WORKDIR}/cli-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=">=dev-lang/go-1.16:="
+RESTRICT="strip"
+
+src_compile() {
+       ego build -mod vendor -o ${PN} -ldflags "-X main.version=${PVR}-gentoo 
-X main.commit="
+}
+
+src_test() {
+       # run at least 'exo version' for test
+       ./exo version > /dev/null 2>&1
+       if [[ $? -ne 0 ]]
+       then
+               die "Test failed"
+       fi
+}
+
+src_install() {
+       dobin ${PN}
+}

Reply via email to